Search documentation of ash

# View Source Ash.Resource.Actions.Read (ash v3.4.30)

Represents a read action on a resource.

# Summary

## Types

t()

## Functions

pagination_schema()
transform(read)

# Types

Link to this type

# t()

View Source

    @type t() :: %Ash.Resource.Actions.Read{
      arguments: [Ash.Resource.Actions.Argument.t()],
      description: String.t() | nil,
      filter: any(),
      filters: [any()],
      get?: nil | boolean(),
      get_by: nil | atom() | [atom()],
      manual: atom() | {atom(), Keyword.t()} | nil,
      metadata: [Ash.Resource.Actions.Metadata.t()],
      modify_query: nil | mfa(),
      multitenancy: atom(),
      name: atom(),
      pagination: any(),
      preparations: term(),
      primary?: boolean(),
      skip_unknown_inputs: [atom() | String.t()],
      timeout: pos_integer() | nil,
      touches_resources: [atom()],
      transaction?: boolean(),
      type: :read
    }

# Functions

Link to this function

# pagination_schema()

View Source
Link to this function

# transform(read)

View Source